--------------------------------------------------------------------------------------
-- Query to display interfaces loading target tables
--	 in Integration Metadata 
--
-- SQL Saturday, 4/10/2010, Richmond Va Presentation
-- NORMALIZE METADATA FOR DATA INTEGRATION ANALYSIS
-- Bob Lambert, mailto:Bob@RobertLambert.net, http://robertlambert.net
--
--------------------------------------------------------------------------------------

use SQLSatMetadataDemo
	
select distinct DBTable.TableName
	,Interface.InterfaceNameText
from InterfaceMapping
inner join Field on InterfaceMapping.FieldId = Field.FieldId
				and InterfaceMapping.InterfaceId = Field.InterfaceId
inner join Interface on Interface.InterfaceId = Field.InterfaceId
inner join DBColumn on InterfaceMapping.ColumnId = DBColumn.ColumnId
					and InterfaceMapping.TableId = DBColumn.TableId
inner join DBTable on DBColumn.TableId = DBTable.TableId



